Notes
Filter to notes attached to this document ID (contact, deal, or company)
Filter to notes attached to this document type
Field to sort by
timestamp.createdPossible values: Sort direction: asc or desc. Only takes effect when sort is set.
List of notes
Bad Request
Not Authorized
Not found
Unexpected error
GET /v2/notes HTTP/1.1
Host: openapi.paintscout.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
"totalRows": 1,
"page": 1,
"perPage": 1,
"rows": [
{
"id": "abcd1234-abcd-1234-abcd-abcd1234abcd",
"note": "This is a note content.",
"owner": {
"id": "user_abc123",
"name": "Alice Smith"
},
"timestamp": {
"created": 1672531200,
"updated": 1672617600
}
}
]
}The document ID
The document type
The unique ID of the Note. Ignored when creating notes
The revision of the Note document. Ignored when creating notes
The content of the Note
Details about the new Note
The unique ID of the Note. Ignored when creating notes
The revision of the Note document. Ignored when creating notes
The content of the Note
Bad Request
Not Authorized
Not found
Unexpected error
POST /v2/notes?docId=text&docType=text HTTP/1.1
Host: openapi.paintscout.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 184
{
"id": "abcd1234-abcd-1234-abcd-abcd1234abcd",
"note": "This is a note content.",
"owner": {
"id": "user_abc123",
"name": "Alice Smith"
},
"timestamp": {
"created": 1672531200,
"updated": 1672617600
}
}{
"id": "abcd1234-abcd-1234-abcd-abcd1234abcd",
"note": "This is a note content.",
"owner": {
"id": "user_abc123",
"name": "Alice Smith"
},
"timestamp": {
"created": 1672531200,
"updated": 1672617600
}
}ID of the Note
Details about the note
The unique ID of the Note. Ignored when creating notes
The revision of the Note document. Ignored when creating notes
The content of the Note
Bad Request
Not Authorized
Not found
Unexpected error
GET /v2/notes/{id} HTTP/1.1
Host: openapi.paintscout.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
"id": "abcd1234-abcd-1234-abcd-abcd1234abcd",
"note": "This is a note content.",
"owner": {
"id": "user_abc123",
"name": "Alice Smith"
},
"timestamp": {
"created": 1672531200,
"updated": 1672617600
}
}Last updated
Was this helpful?

